<?php
 
 use PHPMailer\PHPMailer\PHPMailer;
 use PHPMailer\PHPMailer\Exception;
 
 require 'PHPMailer/src/Exception.php';
 require 'PHPMailer/src/PHPMailer.php';
 require 'PHPMailer/src/SMTP.php';
 
 
     //Lista dos e-mails de cada departamento
     $agendamento = array("producao2@cisamusep.org.br", "agendamento@cisamusep.org.br");
     $odontologia = array("ceocisamusep@cisamusep.org.br");
     $licitacao = array("compras@cisamusep.org.br", "licitacao@cisamusep.org.br");
     $contabilidade = array("contabilidade@cisamusep.org.br", "contador@cisamusep.org.br");
     $contratos = array("contratos@cisamusep.org.br");
     $controladoria = array("controller@cisamusep.org.br");
     $credenciamento = array("credenciamento@cisamusep.org.br", "credenciamento1@cisamusep.org.br");
     $diretoria = array("cisamusep@cisamusep.org.br", "recepcaoadm@cisamusep.org.br");
     $enfermagem = array("enfermagem_adm@cisamusep.org.br", "admenfermagem@cisamusep.org.br");
     $farmacia = array("farmacia@cisamusep.org.br", "enfermagem_adm@cisamusep.org.br");
     $fisioterapia = array("fisioterapia@cisamusep.org.br", "enfermagem_adm@cisamusep.org.br");
     $fonoaudiologia = array("fonoaudiologia@cisamusep.org.br", "enfermagem_adm@cisamusep.org.br");
     $frotas = array("frotas@cisamusep.org.br");
     $guiche = array("recepcao@cisamusep.org.br", "guiche@cisamusep.org.br");
     $informatica = array("info@cisamusep.org.br");
     $juridico = array("juridico@cisamusep.org.br", "administrativo@cisamusep.org.br");
     $patrimonio = array("almoxarifado2@cisamusep.org.br", "manutencao@cisamusep.org.br", "patrimonio@cisamusep.org.br");
     $faturamento = array("producao1@cisamusep.org.br", "faturamento@cisamusep.org.br");
     $psicologia = array("psicologia@cisamusep.org.br");
     $recepcao = array("recepcaoadm@cisamusep.org.br");
     $rh = array("rh@cisamusep.org.br", "rhcisa@cisamusep.org.br");
     $secretaria = array("cisamusep@cisamusep.org.br", "recepcaoadm@cisamusep.org.br");
     $telefonia = array("callcenter@cisamusep.org.br");
    
     //Recebe os parâmetros passados pelo formulário para poder criar a mensagem a ser enviada.
     $setor = $_POST['departamento'];
     $nome = $_POST['fnome'];
     $telefone = $_POST['ftelefone'];
     $celular = $_POST['fcelular'];
     $email = $_POST['femail'];
     $uf = $_POST['fuf-contato'];
     $cidade = $_POST['fcidade'];
     $mensagem = $_POST['fmensagem'];
     if(isset($_POST['g-recaptcha-response'])) {
        $captcha_data = $_POST['g-recaptcha-response'];
     }
     $resposta = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LdHRbYaAAAAANATx2d6dtIDScOawjAYGFccKw7Z&response=".$captcha_data."&remoteip=".$_SERVER['REMOTE_ADDR']);
     $body_content = "Nome do Solicitante: $nome<br/>Telefone: $telefone<br/>Celular: $celular<br/>E-mail: $email<br/>UF: $uf<br/>Cidade: $cidade<br/>Mensagem: $mensagem";
     
     if (!$captcha_data) {
        echo "Por favor, confirme o captcha.";
        exit;
     }
     
     
 
     if ($resposta.success) {
         
        $mail = new PHPMailer;
        $mail->CharSet = 'UTF-8';
        $mail->isSMTP();
        $mail->SMTPDebug = 0; // 0 = off (for production use) - 1 = client messages - 2 = client and server messages
        $mail->Host = "mail.cisamusep.org.br"; // use $mail->Host = gethostbyname('smtp.gmail.com'); // if your network does not support SMTP over IPv6
        $mail->Port = 587; // TLS only
        $mail->SMTPSecure = 'tls'; // ssl is depracated
        $mail->SMTPAuth = true;
        $mail->Username = "naoresponda@cisamusep.org.br";
        $mail->Password = "cisa2012@2012*";
        $mail->setFrom("naoresponda@cisamusep.org.br", "Cisamusep");
        foreach($$setor as $setor) {
            $mail->addAddress($setor);
        }
        $mail->Subject = 'Solicitação via formulário de contato do site';
        $mail->msgHTML($body_content); //$mail->msgHTML(file_get_contents('contents.html'), __DIR__); //Read an HTML message body from an external file, convert referenced images to embedded,
        $mail->AltBody = 'HTML messaging not supported';
        // $mail->addAttachment('images/phpmailer_mini.png'); //Attach an image file
        
        if(!$mail->send()){
            echo "Mailer Error: " . $mail->ErrorInfo;
        }else{
            echo "Message sent!";
        }
     }